Virtual Try-On

Use these APIs to Upload Human/Garment Photos, and perform Virtual Try-on.

virtual-tryon-image
Virtual Try-on

Upload Image

post

API to send Human/Garment Image for Pre-Processing.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
imagestring · binaryOptional

all image file types are supported

typestringOptional

model or garment

Example: model
genderstringOptional

male or female

Example: male
accessstringOptional

private or public

Example: private
Responses
chevron-right
200

Successful response

application/json
idstringOptionalExample: xxxxxxxxxx
image_urlstringOptionalExample: api/v1/ei/6307170380/d?token=xxxxx-xxxxx-xxxxx-xxxxx
created_onstringOptionalExample: 2024-08-29T00:12:07.228977Z
imagestringOptionalExample: /media/uploaded_images/xxxx.png
typestringOptionalExample: model
genderstringOptionalExample: male
model_typestringOptionalExample: null
garment_typestringOptionalExample: null
garment_brandstringOptionalExample: Unknown
file_urlstringOptionalExample: null
accessstringOptionalExample: private
shopify_product_idstringOptionalExample: null
shopify_product_handlestringOptionalExample: null
images_dirstringOptionalExample: 6307170380
tokenstringOptionalExample: xxxxx-xxxxx-xxxxx-xxxxx
token_expirystringOptionalExample: 2024-08-30T00:12:07.238254Z
preprocessingstringOptionalExample: pending
userstringOptionalExample: 7476083494
post
/api/v1/experiment_image/
200

Successful response

Get Status of Uploaded Image

get

API to get status of pre-processing of Human/Garment

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of experiment image

Responses
chevron-right
200

Successful response

application/json
idstringOptionalExample: xxxxxxxxxx
image_urlstringOptionalExample: api/v1/ei/6307170380/d?token=xxxxx-xxxxx-xxxxx-xxxxx
created_onstringOptionalExample: 2024-08-29T00:12:07.228977Z
imagestringOptionalExample: /media/uploaded_images/xxxx.png
typestringOptionalExample: model
genderstringOptionalExample: male
model_typestringOptionalExample: null
garment_typestringOptionalExample: null
garment_brandstringOptionalExample: Unknown
file_urlstringOptionalExample: null
accessstringOptionalExample: private
shopify_product_idstringOptionalExample: null
shopify_product_handlestringOptionalExample: null
images_dirstringOptionalExample: 6307170380
tokenstringOptionalExample: xxxxx-xxxxx-xxxxx-xxxxx
token_expirystringOptionalExample: 2024-08-30T00:12:07.238254Z
preprocessingstringOptionalExample: completed
userstringOptionalExample: 7476083494
get
/api/v1/experiment_image/{id}/

Start Virtual Try-on

post

API to start the Try-on using previously uploaded Human and Garment Image IDs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
person_idstringOptional

Id you get after uploading human image for pre-processing

Example: xxxxxxxxxx
garment_idstringOptional

Id you get after uploading garment image for pre-processing

Example: xxxxxxxxxx
actionstringOptional

name of model to be used, for current use case use virtual_try_on

Example: virtual_try_on
Responses
chevron-right
200

Successful response

No content

post
/api/v1/experiment/

No content

Get Status of Virtual Try-on

get

API to get status of Try-on(Takes About 30 Seconds)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of experiment image

Responses
chevron-right
200

Successful response

No content

get
/api/v1/experiment/{id}/

No content

Download Image

get

API to Download Images

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of experiment image

tokenstringRequired

Image Token from Human/Garment/Try-on Image

Responses
chevron-right
200

Successful response

application/json
idstring · binaryOptional
get
/api/v1/ei/{id}/d?token={token}/

Last updated